Package uk.ac.starlink.table.join

# Class CdsHealpixSkyPixellator

java.lang.Object
uk.ac.starlink.table.join.HealpixSkyPixellator
uk.ac.starlink.table.join.CdsHealpixSkyPixellator

All Implemented Interfaces:
  `SkyPixellator`

public class CdsHealpixSkyPixellator extends HealpixSkyPixellator
HEALPix sky pixellator using the CDS-HEALPIX-JAVA library written by F-X Pineau at CDS.

The Nested indexing scheme is used, and the largest permissible k-value (depth) is 29.

Since:
  21 May 2020
Author:
  Mark Taylor
See Also:
  - https://github.com/cds-astro/cds-healpix-java

## Constructor Summary

Constructors
Constructor
Description
`CdsHealpixSkyPixellator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`calculateDefaultK(double scale)`
Determines a default value to use for the HEALPix k parameter based on a given scale.
`protected void`
`configureK(int k)`
Updates internal state for the current value of the k parameter.
`Supplier<FixedRadiusConePixer>`
`createFixedRadiusPixerFactory(double radius)`
Returns a factory for fixed radius pixel calculators based on the current settings of this object.
`Supplier<VariableRadiusConePixer>`
`createVariableRadiusPixerFactory()`
Returns a factory for variable radius pixel calculators based on the current settings of this object.

### Methods inherited from class uk.ac.starlink.table.join.HealpixSkyPixellator

`getHealpixK, getMaxK, getScale, getTuningParameter, setHealpixK, setScale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CdsHealpixSkyPixellator

public CdsHealpixSkyPixellator()

## Method Details

### configureK

protected void configureK(int k)
Description copied from class: `HealpixSkyPixellator`
Updates internal state for the current value of the k parameter.

Specified by:
  `configureK` in class `HealpixSkyPixellator`
Parameters:
  `k` - HEALPix order

### createVariableRadiusPixerFactory

public Supplier<VariableRadiusConePixer> createVariableRadiusPixerFactory()
Description copied from interface: `SkyPixellator`
Returns a factory for variable radius pixel calculators based on the current settings of this object.

Returns:
  immutable factory for pixel calculators; subsequent changes to this object will not affect the objects it supplies

### createFixedRadiusPixerFactory

public Supplier<FixedRadiusConePixer> createFixedRadiusPixerFactory(double radius)
Description copied from interface: `SkyPixellator`
Returns a factory for fixed radius pixel calculators based on the current settings of this object.

Parameters:
  `radius` - cone radius in radians
Returns:
  immutable factory for pixel calculators; subsequent changes to this object will not affect the objects it supplies

### calculateDefaultK

public int calculateDefaultK(double scale)
Determines a default value to use for the HEALPix k parameter based on a given scale.

Specified by:
  `calculateDefaultK` in class `HealpixSkyPixellator`
Parameters:
  `scale` - distance scale, in radians